--import player document
require "player"
--import tile map loader
 

function love.load()
    --set screen colour to white
    love.graphics.setBackgroundColor(0, 0, 0)
    --load the map 
    
    gravity = 600 --start with gravity as 600
    jump_height = 300  --start with the maximum jump height as 300
    width, height = love.graphics.getWidth(), love.graphics.getHeight() --get the screen width and height
end

function love.draw()
    
    love.graphics.translate(width / 2, height/ 2+200)  --translates the screen into a specific mode
    love.graphics.draw(player.image, player.x, -player.y, 0, 1, 1, 64, 103) --draws the player
    
    love.graphics.setColor(255,255,255) --changes colour to white
    love.graphics.rectangle("fill", -width/2, 0,width,200) --draw the base
    
    love.graphics.rectangle("fill", -width/2, -200,100,50) --draw the first platform
    
    if player.x > -width/2 and player.x < -width/2 + 125 and player.y > 200 and player.y<202 and player.y_velocity < 0 then
        player.y= 200
        player.y_velocity = 0
        player.on_block = true
    end
     if player.x < -width/2 or player.x > -width/2 + 125 then
        player.on_block = false
        player.platform_height = 0
     end
     if player.y == 0 then
        player.on_block = true
        player.platform_height = 0
     end
     love.graphics.print("Player x "..player.x,-400,-400)
     love.graphics.print("Player y "..player.y,-400,-390)
     love.graphics.print("Y velocity "..player.y_velocity,-400,-380)
     love.graphics.print("On block "..tostring(player.on_block),-400,-370)
     love.graphics.print("width "..width/2,-400,-360)
end

function love.update(dt)
    player:left(dt)
    player:right(dt)
    player:update(dt,gravity)
    

end
function love.keypressed(key)
    if key == " " then
        player:jumpAction()
    end
end